import React, { Component } from 'react';
import PropTypes from 'prop-types';
import TableContainer from './../common/TableContainer';

/**
 * 公共协议
 */
class PublicInterface extends Component {
  constructor(props) {
    super(props);
  }

  render() {
    return (
      <div className='tabs-inside'>
        <TableContainer isDel={false} {...this.props} />
      </div>
    );
  }
}

PublicInterface.propTypes = {
  criterias: PropTypes.array, // 查询条件
  visibility: PropTypes.string
};

export default PublicInterface;
